Bug 135167 - RFE: ifdown should report found and expected for MACADDR error
RFE: ifdown should report found and expected for MACADDR error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature, StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 13:12 EDT by Scott R. Godin
Modified: 2014-03-16 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.17-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 16:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /sbin/ifdown that both illustrates and fixes problem (465 bytes, patch)
2004-10-09 13:14 EDT, Scott R. Godin
no flags Details | Diff

  None (edit)
Description Scott R. Godin 2004-10-09 13:12:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Epiphany/1.2.7

Description of problem:
when your network interface mac address doesn't match the expected
hwaddr by ifdown it merely reports that there was a difference, not
what the difference was, making debugging difficult. 

This patch fixes it so that it reports both what was found and what it
expected to find, so you can more easily determine a solution to the
problem, rather than just watching your trusty interface card get ignored.

Version-Release number of selected component (if applicable):
initscripts-7.55.1-1

How reproducible:
Always

Steps to Reproduce:
 

Additional info:

a patch is attached that illustrates both the problem and the solution
Comment 1 Scott R. Godin 2004-10-09 13:14:29 EDT
Created attachment 104970 [details]
patch to /sbin/ifdown that both illustrates and fixes problem
Comment 2 Scott R. Godin 2004-10-09 13:17:52 EDT
I had resolved this one a long time ago hacking it for myself to help
diagnose the problem and promptly forgot all about it.. just now when
I upgraded to FC2 I noticed the .rpmsave file and investigated and was
reminded of the whole issue. So I decided to save some other admins
the same frustration I went thru and here we are. :)
Comment 3 Matthew Miller 2005-04-26 11:53:15 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Scott R. Godin 2005-04-27 17:56:34 EDT
It is not currently patched as of Fedora Core 3, and likely hasn't made it into
FC4test2, although I am not certain of that. 
Comment 5 Bill Nottingham 2005-04-27 18:19:44 EDT
It's not in test2, no.
Comment 6 Bill Nottingham 2005-10-03 16:01:46 EDT
Changed to:

Device ${DEVICE} has MAC address ${FOUNDMACADDR}, instead of configured address
${HWADDR}. Ignoring.

for 8.17-1.

Note You need to log in before you can comment on or make changes to this bug.